Examples

POST /katello/api/repositories/269989997/content_uploads
{
  "size": 100,
  "checksum": "test_checksum",
  "content_upload": {
    "size": 100,
    "checksum": "test_checksum"
  }
}
500
{
  "message": "Cannot upload Ansible collections.",
  "errors": [
    "Cannot upload Ansible collections."
  ]
}

Params

Param name Description
repository_id
required

repository id

Validations:

  • Must be a number.

size
required

Size of file to upload

Validations:

  • Must be a number.

checksum
optional

Checksum of file to upload

Validations:

  • String

content_type
optional

content type (‘deb’, ‘file’, ‘ostree_ref’, ‘rpm’, ‘srpm’)

Validations:

  • Must be one of: deb, file, ostree_ref, python_package, rpm, srpm.